"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RecordLockingGetLockedEntryLockRecord = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _getLockedEntryLockRecord = require("./graphql/getLockedEntryLockRecord");
var _error = require("@webiny/error");
var RecordLockingGetLockedEntryLockRecord = exports.RecordLockingGetLockedEntryLockRecord = /*#__PURE__*/function () {
  function RecordLockingGetLockedEntryLockRecord(params) {
    (0, _classCallCheck2.default)(this, RecordLockingGetLockedEntryLockRecord);
    this.client = params.client;
  }
  return (0, _createClass2.default)(RecordLockingGetLockedEntryLockRecord, [{
    key: "execute",
    value: async function execute(params) {
      var result = await this.client.query({
        query: _getLockedEntryLockRecord.GET_LOCKED_ENTRY_LOCK_RECORD_QUERY,
        variables: params
      });
      if (result.data.recordLocking.getLockedEntryLockRecord.error) {
        throw new _error.WebinyError(result.data.recordLocking.getLockedEntryLockRecord.error);
      }
      return result.data.recordLocking.getLockedEntryLockRecord;
    }
  }]);
}();

//# sourceMappingURL=RecordLockingGetLockedEntryLockRecord.js.map